HORIZON HASKELLDocslts/ghc-9.10.x248f8f02026-10-05Search names, modules, packages, or :: a typeCtrl K

GHC 9.10.3 · lts/ghc-9.10.x · 248f8f0 · 2026-10-05

Modulestripeapi-3.0.0.0Haskell2010

StripeAPI.Operations.GetOrders

Contains the different functions to run the operation getOrders

  • 3 types
  • 3 values
valuegetOrders
  1. :: MonadHTTP m
  2. => GetOrdersParameters

    Contains all available parameters of this operation (query and path parameters)

  3. -> ClientT m (Response GetOrdersResponse)

    Monadic computation which returns the result of the operation

#
GET /v1/orders

<p>Returns a list of your orders. The orders are returned sorted by creation date, with the most recently created orders appearing first.</p>

datadata GetOrdersParameters
#

Defines the object schema located at paths./v1/orders.GET.parameters in the specification.

Constructors

  • GetOrdersParameters
    • getOrdersParametersQueryCustomer :: Maybe Text

      queryCustomer: Represents the parameter named 'customer'

      Only return orders for the given customer.

      Constraints:

      • Maximum length of 5000

    • getOrdersParametersQueryEndingBefore :: Maybe Text

      queryEnding_before: Represents the parameter named 'ending_before'

      A cursor for use in pagination. `ending_before` is an object ID that defines your place in the list. For instance, if you make a list request and receive 100 objects, starting with `obj_bar`, your subsequent call can include `ending_before=obj_bar` in order to fetch the previous page of the list.

    • getOrdersParametersQueryExpand :: Maybe [Text]

      queryExpand: Represents the parameter named 'expand'

      Specifies which fields in the response should be expanded.

    • getOrdersParametersQueryLimit :: Maybe Int

      queryLimit: Represents the parameter named 'limit'

      A limit on the number of objects to be returned. Limit can range between 1 and 100, and the default is 10.

    • getOrdersParametersQueryStartingAfter :: Maybe Text

      queryStarting_after: Represents the parameter named 'starting_after'

      A cursor for use in pagination. `starting_after` is an object ID that defines your place in the list. For instance, if you make a list request and receive 100 objects, ending with `obj_foo`, your subsequent call can include `starting_after=obj_foo` in order to fetch the next page of the list.

Instances4Eq, Show, FromJSON, ToJSON
datadata GetOrdersResponse
#

Represents a response of the operation getOrders.

The response constructor is chosen by the status code of the response. If no case matches (no specific case for the response code, no range case, no default case), GetOrdersResponseError is used.

Constructors

Instances2Eq, Show

Defines the object schema located at paths./v1/orders.GET.responses.200.content.application/json.schema in the specification.

Constructors

Instances4Eq, Show, FromJSON, ToJSON